import { Controller } from '@a11d/lit';
import { PointerHoverController } from './PointerHoverController.js';
import { PointerPressController } from './PointerPressController.js';
import { PointerTypeController } from './PointerTypeController.js';
export class PointerController extends Controller {
    constructor(host, options) {
        super(host);
        this.host = host;
        this.options = options;
        this.hoverController = new PointerHoverController(this.host, {
            target: this.options?.target,
            handleHoverChange: this.options?.handleHoverChange
        });
        this.pressController = new PointerPressController(this.host, {
            target: this.options?.target,
            handlePressChange: this.options?.handlePressChange
        });
        this.typeController = new PointerTypeController(this.host, {
            handleTypeChange: this.options?.handleTypeChange
        });
    }
    get hover() { return this.hoverController.hover; }
    get press() { return this.pressController.press; }
    get type() { return this.typeController.type; }
}
