import { Controller, ReactiveElement } from '@a11d/lit';
export type PointerType = 'mouse' | 'touch' | 'pen';
export interface PointerTypeControllerOptions {
    handleTypeChange?(type: PointerType): void;
}
export declare class PointerTypeController extends Controller {
    protected readonly host: ReactiveElement;
    protected readonly options?: PointerTypeControllerOptions | undefined;
    private static readonly events;
    constructor(host: ReactiveElement, options?: PointerTypeControllerOptions | undefined);
    hostConnected(): void;
    hostDisconnected(): void;
    handleEvent(e: PointerEvent): "mouse" | "touch" | "pen";
    private _type?;
    get type(): PointerType;
    private set type(value);
}
//# sourceMappingURL=PointerTypeController.d.ts.map